Page MenuHomePhabricator

Apply filters before search
Closed, DuplicatePublic

Description

Currently, if doing an

insource:/foobar/

search with AWB (all namespaces), we get massive lists of mostly article-related things, for example this, and we run into API limits of 1000 results per search or whatever.

It would be very useful if we could apply namespace filtering BEFORE the search, like this, so we don't run into API limit issues as often when searching for things outside of mainspace.

Event Timeline

Headbomb created this task.Jun 8 2018, 3:08 PM
Restricted Application added a subscriber: Scoopfinder. · View Herald TranscriptJun 8 2018, 3:08 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 12 2018, 4:22 PM
Vvjjkkii renamed this task from Apply filters before search to 5dbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 5dbaaaaaaa to Apply filters before search.Jul 2 2018, 3:07 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.